Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.blender.org/blender.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'build_files/build_environment/install_deps.sh')
-rwxr-xr-xbuild_files/build_environment/install_deps.sh150
1 files changed, 90 insertions, 60 deletions
diff --git a/build_files/build_environment/install_deps.sh b/build_files/build_environment/install_deps.sh
index 2441b9ad89b..4ffdbf2d162 100755
--- a/build_files/build_environment/install_deps.sh
+++ b/build_files/build_environment/install_deps.sh
@@ -478,7 +478,7 @@ OCIO_FORCE_BUILD=false
OCIO_FORCE_REBUILD=false
OCIO_SKIP=false
-IMATH_VERSION="3.1.4"
+IMATH_VERSION="3.1.5"
IMATH_VERSION_SHORT="3.1"
IMATH_VERSION_MIN="3.0"
IMATH_VERSION_MEX="4.0"
@@ -487,7 +487,7 @@ IMATH_FORCE_REBUILD=false
IMATH_SKIP=false
_with_built_imath=false
-OPENEXR_VERSION="3.1.4"
+OPENEXR_VERSION="3.1.5"
OPENEXR_VERSION_SHORT="3.1"
OPENEXR_VERSION_MIN="3.0"
OPENEXR_VERSION_MEX="4.0"
@@ -627,6 +627,9 @@ WEBP_DEV=""
VPX_USE=false
VPX_VERSION_MIN=0.9.7
VPX_DEV=""
+AOM_USE=false
+AOM_VERSION_MIN=3.3.0
+AOM_DEV=""
OPUS_USE=false
OPUS_VERSION_MIN=1.1.1
OPUS_DEV=""
@@ -1209,7 +1212,7 @@ You may also want to build them yourself (optional ones are [between brackets]):
** [NumPy $PYTHON_NUMPY_VERSION] (use pip).
* Boost $BOOST_VERSION (from $BOOST_SOURCE, modules: $BOOST_BUILD_MODULES).
* TBB $TBB_VERSION (from $TBB_SOURCE).
- * [FFMpeg $FFMPEG_VERSION (needs libvorbis, libogg, libtheora, libx264, libmp3lame, libxvidcore, libvpx, libwebp, ...)] (from $FFMPEG_SOURCE).
+ * [FFMpeg $FFMPEG_VERSION (needs libvorbis, libogg, libtheora, libx264, libmp3lame, libxvidcore, libvpx, libaom, libwebp, ...)] (from $FFMPEG_SOURCE).
* [OpenColorIO $OCIO_VERSION] (from $OCIO_SOURCE).
* Imath $IMATH_VERSION (from $IMATH_SOURCE).
* OpenEXR $OPENEXR_VERSION (from $OPENEXR_SOURCE).
@@ -3000,7 +3003,7 @@ compile_ALEMBIC() {
fi
# To be changed each time we make edits that would modify the compiled result!
- alembic_magic=2
+ alembic_magic=3
_init_alembic
# Force having own builds for the dependencies.
@@ -3048,7 +3051,7 @@ compile_ALEMBIC() {
fi
if [ "$_with_built_openexr" = true ]; then
cmake_d="$cmake_d -D USE_ARNOLD=OFF"
- cmake_d="$cmake_d -D USE_BINARIES=OFF"
+ cmake_d="$cmake_d -D USE_BINARIES=ON" # Tests use some Alembic binaries...
cmake_d="$cmake_d -D USE_EXAMPLES=OFF"
cmake_d="$cmake_d -D USE_HDF5=OFF"
cmake_d="$cmake_d -D USE_MAYA=OFF"
@@ -3634,7 +3637,7 @@ compile_FFmpeg() {
fi
# To be changed each time we make edits that would modify the compiled result!
- ffmpeg_magic=5
+ ffmpeg_magic=6
_init_ffmpeg
# Force having own builds for the dependencies.
@@ -3687,6 +3690,10 @@ compile_FFmpeg() {
extra="$extra --enable-libvpx"
fi
+ if [ "$AOM_USE" = true ]; then
+ extra="$extra --enable-libaom"
+ fi
+
if [ "$WEBP_USE" = true ]; then
extra="$extra --enable-libwebp"
fi
@@ -4140,30 +4147,34 @@ install_DEB() {
WEBP_USE=true
fi
- if [ "$WITH_ALL" = true ]; then
- XVID_DEV="libxvidcore-dev"
- check_package_DEB $XVID_DEV
- if [ $? -eq 0 ]; then
- XVID_USE=true
- fi
+ XVID_DEV="libxvidcore-dev"
+ check_package_DEB $XVID_DEV
+ if [ $? -eq 0 ]; then
+ XVID_USE=true
+ fi
- MP3LAME_DEV="libmp3lame-dev"
- check_package_DEB $MP3LAME_DEV
- if [ $? -eq 0 ]; then
- MP3LAME_USE=true
- fi
+ MP3LAME_DEV="libmp3lame-dev"
+ check_package_DEB $MP3LAME_DEV
+ if [ $? -eq 0 ]; then
+ MP3LAME_USE=true
+ fi
- VPX_DEV="libvpx-dev"
- check_package_version_ge_DEB $VPX_DEV $VPX_VERSION_MIN
- if [ $? -eq 0 ]; then
- VPX_USE=true
- fi
+ VPX_DEV="libvpx-dev"
+ check_package_version_ge_DEB $VPX_DEV $VPX_VERSION_MIN
+ if [ $? -eq 0 ]; then
+ VPX_USE=true
+ fi
- OPUS_DEV="libopus-dev"
- check_package_version_ge_DEB $OPUS_DEV $OPUS_VERSION_MIN
- if [ $? -eq 0 ]; then
- OPUS_USE=true
- fi
+ AOM_DEV="libaom-dev"
+ check_package_version_ge_DEB $AOM_DEV $AOM_VERSION_MIN
+ if [ $? -eq 0 ]; then
+ AOM_USE=true
+ fi
+
+ OPUS_DEV="libopus-dev"
+ check_package_version_ge_DEB $OPUS_DEV $OPUS_VERSION_MIN
+ if [ $? -eq 0 ]; then
+ OPUS_USE=true
fi
# Check cmake version and disable features for older distros.
@@ -4546,6 +4557,9 @@ install_DEB() {
if [ "$VPX_USE" = true ]; then
_packages="$_packages $VPX_DEV"
fi
+ if [ "$AOM_USE" = true ]; then
+ _packages="$_packages $AOM_DEV"
+ fi
if [ "$OPUS_USE" = true ]; then
_packages="$_packages $OPUS_DEV"
fi
@@ -4846,21 +4860,27 @@ install_RPM() {
WEBP_USE=true
fi
- if [ "$WITH_ALL" = true ]; then
- VPX_DEV="libvpx-devel"
- check_package_version_ge_RPM $VPX_DEV $VPX_VERSION_MIN
- if [ $? -eq 0 ]; then
- VPX_USE=true
- fi
+ VPX_DEV="libvpx-devel"
+ check_package_version_ge_RPM $VPX_DEV $VPX_VERSION_MIN
+ if [ $? -eq 0 ]; then
+ VPX_USE=true
+ fi
+
+ AOM_DEV="libaom-devel"
+ check_package_version_ge_RPM $AOM_DEV $AOM_VERSION_MIN
+ if [ $? -eq 0 ]; then
+ AOM_USE=true
+ fi
+
+ OPUS_DEV="libopus-devel"
+ check_package_version_ge_RPM $OPUS_DEV $OPUS_VERSION_MIN
+ if [ $? -eq 0 ]; then
+ OPUS_USE=true
+ fi
+ if [ "$WITH_ALL" = true ]; then
PRINT ""
install_packages_RPM libspnav-devel
-
- OPUS_DEV="libopus-devel"
- check_package_version_ge_RPM $OPUS_DEV $OPUS_VERSION_MIN
- if [ $? -eq 0 ]; then
- OPUS_USE=true
- fi
fi
PRINT ""
@@ -5245,6 +5265,9 @@ install_RPM() {
if [ "$VPX_USE" = true ]; then
_packages="$_packages $VPX_DEV"
fi
+ if [ "$AOM_USE" = true ]; then
+ _packages="$_packages $AOM_DEV"
+ fi
if [ "$OPUS_USE" = true ]; then
_packages="$_packages $OPUS_DEV"
fi
@@ -5434,30 +5457,34 @@ install_ARCH() {
WEBP_USE=true
fi
- if [ "$WITH_ALL" = true ]; then
- XVID_DEV="xvidcore"
- check_package_ARCH $XVID_DEV
- if [ $? -eq 0 ]; then
- XVID_USE=true
- fi
+ XVID_DEV="xvidcore"
+ check_package_ARCH $XVID_DEV
+ if [ $? -eq 0 ]; then
+ XVID_USE=true
+ fi
- MP3LAME_DEV="lame"
- check_package_ARCH $MP3LAME_DEV
- if [ $? -eq 0 ]; then
- MP3LAME_USE=true
- fi
+ MP3LAME_DEV="lame"
+ check_package_ARCH $MP3LAME_DEV
+ if [ $? -eq 0 ]; then
+ MP3LAME_USE=true
+ fi
- VPX_DEV="libvpx"
- check_package_version_ge_ARCH $VPX_DEV $VPX_VERSION_MIN
- if [ $? -eq 0 ]; then
- VPX_USE=true
- fi
+ VPX_DEV="libvpx"
+ check_package_version_ge_ARCH $VPX_DEV $VPX_VERSION_MIN
+ if [ $? -eq 0 ]; then
+ VPX_USE=true
+ fi
- OPUS_DEV="opus"
- check_package_version_ge_ARCH $OPUS_DEV $OPUS_VERSION_MIN
- if [ $? -eq 0 ]; then
- OPUS_USE=true
- fi
+ AOM_DEV="libaom"
+ check_package_version_ge_ARCH $AOM_DEV $AOM_VERSION_MIN
+ if [ $? -eq 0 ]; then
+ AOM_USE=true
+ fi
+
+ OPUS_DEV="opus"
+ check_package_version_ge_ARCH $OPUS_DEV $OPUS_VERSION_MIN
+ if [ $? -eq 0 ]; then
+ OPUS_USE=true
fi
@@ -5835,6 +5862,9 @@ install_ARCH() {
if [ "$VPX_USE" = true ]; then
_packages="$_packages $VPX_DEV"
fi
+ if [ "$AOM_USE" = true ]; then
+ _packages="$_packages $AOM_DEV"
+ fi
if [ "$OPUS_USE" = true ]; then
_packages="$_packages $OPUS_DEV"
fi